## labwc 0.6.4

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')
option('nls', type: 'feature', value: 'auto', description: 'Enable native language support')

=== debian/changelog ===
labwc (0.6.4-1) unstable; urgency=medium

  * Initial upload (Closes: #1032864)

 -- Birger Schacht <birger@debian.org>  Wed, 30 Aug 2023 21:43:33 +0200

=== debian/control ===
Source: labwc
Section: x11
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libwlroots-dev (>= 0.16.0),
	       libxml2-dev,
	       libglib2.0-dev,
	       libcairo2-dev,
	       libpango1.0-dev,
	       libinput-dev,
	       libpng-dev,
               meson (>= 0.59),
               pkg-config,
               wayland-protocols,
	       libxkbcommon-dev,
	       libdrm-dev,
	       scdoc,
	       gettext,
Standards-Version: 4.6.2
Homepage: https://labwc.github.io/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
Vcs-Browser: https://salsa.debian.org/labwc-team/labwc

Package: labwc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle, foot
Description: window-stacking Wayland compositor
 Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
 openbox.
 .
 It is light-weight and independent with a focus on simply stacking windows
 well and rendering some window decorations. It takes a no-bling/frills
 approach and says no to features such as icons (except window buttons),
 animations, decorative gradients and any other options not required to
 reasonably render common themes. It relies on clients for panels, screenshots,
 wallpapers and so on to create a full desktop environment.

## labwc 0.6.5

=== debian/changelog ===
labwc (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * Remove stale file entries from d/copyright

 -- Birger Schacht <birger@debian.org>  Wed, 01 Nov 2023 17:32:27 +0100

## labwc 0.6.6

=== debian/changelog ===
labwc (0.6.6-1) unstable; urgency=medium

  * New upstream release
  * Update patch: default environment is commented, so no patching needed
    anymore

 -- Birger Schacht <birger@debian.org>  Sun, 26 Nov 2023 09:56:27 +0100

## labwc 0.7.0

=== debian/changelog ===
labwc (0.7.0-3) unstable; urgency=medium

  * Add librsvg to build depends and xwayland to depends

 -- Birger Schacht <birger@debian.org>  Mon, 05 Feb 2024 13:59:54 +0100

labwc (0.7.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Birger Schacht <birger@debian.org>  Sat, 13 Jan 2024 11:03:20 +0100

labwc (0.7.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1058499)
  * Bump wlroots build depends to >= 0.17
  * Add new build-dep liblzma-dev
  * Cleanup indenting in d/control

 -- Birger Schacht <birger@debian.org>  Sat, 16 Dec 2023 14:18:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libwlroots-dev (>= 0.16.0),
-	       libxml2-dev,
-	       libglib2.0-dev,
-	       libcairo2-dev,
-	       libpango1.0-dev,
-	       libinput-dev,
-	       libpng-dev,
+               libwlroots-dev (>= 0.17.0),
+	             libxml2-dev,
+               liblzma-dev,
+	             libglib2.0-dev,
+	             libcairo2-dev,
+	             libpango1.0-dev,
+	             libinput-dev,
+	             libpng-dev,
+               librsvg2-dev,
                meson (>= 0.59),
                pkg-config,
                wayland-protocols,
-	       libxkbcommon-dev,
-	       libdrm-dev,
-	       scdoc,
-	       gettext,
+	             libxkbcommon-dev,
+	             libdrm-dev,
+	             scdoc,
+	             gettext,
 Standards-Version: 4.6.2
 Homepage: https://labwc.github.io/
 Rules-Requires-Root: no
@@ -26,7 +28,7 @@
 
 Package: labwc
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, xwayland
 Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle, foot
 Description: window-stacking Wayland compositor
  Labwc is a wlroots-based window-stacking compositor for wayland, inspired by

## labwc 0.7.1

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')
option('svg', type: 'feature', value: 'enabled', description: 'Enable svg window buttons')
option('nls', type: 'feature', value: 'auto', description: 'Enable native language support')

=== debian/changelog ===
labwc (0.7.1-2) unstable; urgency=medium

  * Set Maintainer to team address

 -- Birger Schacht <birger@debian.org>  Fri, 26 Apr 2024 09:49:11 +0200

labwc (0.7.1-1) unstable; urgency=medium

  * Drop patch to set default terminal to `foot`. Upstream sets the default
    to alacritty, which is also in Debian, lets not diverge
  * Add alacritty to Recommends: so users have a way of doing the initial
    setup
  * Replace pkg-config build dep with pkgconf
  * Update years in d/copyright

 -- Birger Schacht <birger@debian.org>  Sat, 02 Mar 2024 08:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: labwc
 Section: x11
 Priority: optional
-Maintainer: Birger Schacht <birger@debian.org>
+Maintainer: Lab Wayland Compositor Team <team+labwc@tracker.debian.org>
+Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libwlroots-dev (>= 0.17.0),
@@ -14,7 +15,7 @@
 	             libpng-dev,
                librsvg2-dev,
                meson (>= 0.59),
-               pkg-config,
+               pkgconf,
                wayland-protocols,
 	             libxkbcommon-dev,
 	             libdrm-dev,
@@ -29,7 +30,8 @@
 Package: labwc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, xwayland
-Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle, foot
+Recommends: alacritty
+Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle
 Description: window-stacking Wayland compositor
  Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
  openbox.

## labwc 0.7.2

=== debian/changelog ===
labwc (0.7.2-2) unstable; urgency=medium

  * Move terminal from Recommends to Suggests and make it less strict
  * Drop `labwc.install` and not install example configs as defaults

 -- Birger Schacht <birger@debian.org>  Sat, 22 Jun 2024 08:56:37 +0200

labwc (0.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 11 May 2024 08:39:48 +0200

## labwc 0.7.3

=== debian/changelog ===
labwc (0.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 13 Jul 2024 14:00:43 +0200

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,7 @@
 Package: labwc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, xwayland
-Recommends: alacritty
-Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle
+Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle, foot | alacritty | x-terminal-emulator
 Description: window-stacking Wayland compositor
  Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
  openbox.

## labwc 0.7.4

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')
 option('svg', type: 'feature', value: 'enabled', description: 'Enable svg window buttons')
 option('nls', type: 'feature', value: 'auto', description: 'Enable native language support')
+option('static_analyzer', type: 'feature', value: 'disabled', description: 'Run gcc static analyzer')

=== debian/changelog ===
labwc (0.7.4-1build2) plucky; urgency=medium

  * Rebuild against latest wlroots

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 07:28:35 -0500

labwc (0.7.4-1build1) plucky; urgency=medium

  * No-change rebuild for libwlroots-0.18

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 03 Nov 2024 21:49:17 +0000

labwc (0.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 20 Jul 2024 08:08:14 +0200

## labwc 0.8.1

=== debian/changelog ===
labwc (0.8.1-2) unstable; urgency=medium

  * Reupload to unstable

 -- Birger Schacht <birger@debian.org>  Thu, 26 Dec 2024 15:16:29 +0100

labwc (0.8.1-1) experimental; urgency=medium

  * New upstream release
  * d/rules: disable icon support

 -- Birger Schacht <birger@debian.org>  Mon, 28 Oct 2024 10:33:44 +0100

labwc (0.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 16 Aug 2024 18:20:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libwlroots-dev (>= 0.17.0),
+               libwlroots-0.18-dev (>= 0.18.0),
 	             libxml2-dev,
                liblzma-dev,
 	             libglib2.0-dev,

## labwc 0.8.2

=== debian/changelog ===
labwc (0.8.2-2) unstable; urgency=medium

  * Add debian/labwc.docs to also ship upstreams NEWS.md file
    (Closes: #1090896)

 -- Birger Schacht <birger@debian.org>  Wed, 01 Jan 2025 19:36:13 +0100

labwc (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: bump wlroots dependency to >= 0.18.1

 -- Birger Schacht <birger@debian.org>  Tue, 31 Dec 2024 12:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libwlroots-0.18-dev (>= 0.18.0),
+               libwlroots-0.18-dev (>= 0.18.1),
 	             libxml2-dev,
                liblzma-dev,
 	             libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# we disable the SSD titlebar window icon support
# for now, because libsfdo is not in Debian yet
override_dh_auto_configure:
	dh_auto_configure -- -Dicon=disabled

## labwc 0.8.3

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('xwayland', type: 'feature', value: 'auto', description: 'Enable support for X11 applications')
option('svg', type: 'feature', value: 'enabled', description: 'Enable svg window buttons')
option('icon', type: 'feature', value: 'enabled', description: 'Enable window icons')
option('nls', type: 'feature', value: 'auto', description: 'Enable native language support')
option('static_analyzer', type: 'feature', value: 'disabled', description: 'Run gcc static analyzer')
option('test', type: 'feature', value: 'disabled', description: 'Run tests')

=== debian/changelog ===
labwc (0.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 22 Feb 2025 09:25:03 +0100

labwc (0.8.2-3) unstable; urgency=medium

  * Add libsfdo-dev to build-depends and enable title bar support
  * Run wrap-and-sort -ast on debian/

 -- Birger Schacht <birger@debian.org>  Mon, 10 Feb 2025 15:54:37 +0100

=== debian/control ===
Source: labwc
Section: x11
Priority: optional
Maintainer: Lab Wayland Compositor Team <team+labwc@tracker.debian.org>
Uploaders:
 Birger Schacht <birger@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gettext,
 libcairo2-dev,
 libdrm-dev,
 libglib2.0-dev,
 libinput-dev,
 liblzma-dev,
 libpango1.0-dev,
 libpng-dev,
 librsvg2-dev,
 libsfdo-dev,
 libwlroots-0.18-dev (>= 0.18.1),
 libxkbcommon-dev,
 libxml2-dev,
 meson (>= 0.59),
 pkgconf,
 scdoc,
 wayland-protocols,
Standards-Version: 4.6.2
Homepage: https://labwc.github.io/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
Vcs-Browser: https://salsa.debian.org/labwc-team/labwc

Package: labwc
Architecture: any
Depends:
 xwayland,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 foot | alacritty | x-terminal-emulator,
 kanshi,
 mako-notifier,
 swaybg,
 swayidle,
 waybar,
Description: window-stacking Wayland compositor
 Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
 openbox.
 .
 It is light-weight and independent with a focus on simply stacking windows
 well and rendering some window decorations. It takes a no-bling/frills
 approach and says no to features such as icons (except window buttons),
 animations, decorative gradients and any other options not required to
 reasonably render common themes. It relies on clients for panels, screenshots,
 wallpapers and so on to create a full desktop environment.

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/labwc/labwc.git refs/tags/([\d\.]+)

## labwc 0.8.4

=== debian/changelog ===
labwc (0.8.4-1+rpt1) bookworm; urgency=medium

  * Update to upstream release 0.8.4

 -- Simon Long <simon@raspberrypi.com>  Fri, 30 May 2025 10:49:12 +0100

labwc (0.8.1-1+rpt4) bookworm; urgency=medium

  * Allow local touch device config to override system devices

 -- Simon Long <simon@raspberrypi.com>  Tue, 29 Apr 2025 11:39:57 +0100

labwc (0.8.1-1+rpt3) bookworm; urgency=medium

  * Add dependency on explicit wlroots version 

 -- Simon Long <simon@raspberrypi.com>  Wed, 15 Jan 2025 11:50:50 +0000

labwc (0.8.1-1+rpt2) bookworm; urgency=medium

  * Add copy capture features for wayvnc

 -- Simon Long <simon@raspberrypi.com>  Tue, 10 Dec 2024 11:49:59 +0000

labwc (0.8.1-1+rpt1) bookworm; urgency=medium

  * Add mouseEmulation setting for touch devices
  * Allow pointer speed of -1
  * Prevent overflow of environment variable buffers

 -- Simon Long <simon@raspberrypi.com>  Mon, 18 Nov 2024 07:49:03 +0000

=== debian/control ===
Source: labwc
Section: x11
Priority: optional
Maintainer: Lab Wayland Compositor Team <team+labwc@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libwlroots-0.18-dev (>= 0.18.1-1+rpt8),
	             libxml2-dev,
               liblzma-dev,
	             libglib2.0-dev,
	             libcairo2-dev,
	             libpango1.0-dev,
	             libinput-dev,
	             libpng-dev,
               librsvg2-dev,
               meson (>= 0.59),
               pkgconf,
               wayland-protocols,
	             libxkbcommon-dev,
	             libdrm-dev,
	             scdoc,
	             gettext,
Standards-Version: 4.6.2
Homepage: https://labwc.github.io/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
Vcs-Browser: https://salsa.debian.org/labwc-team/labwc

Package: labwc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xwayland, libwlroots-0.18 (>= 0.18.1-1+rpt8)
Suggests: swaybg, kanshi, waybar, mako-notifier, swayidle, foot | alacritty | x-terminal-emulator
Description: window-stacking Wayland compositor
 Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
 openbox.
 .
 It is light-weight and independent with a focus on simply stacking windows
 well and rendering some window decorations. It takes a no-bling/frills
 approach and says no to features such as icons (except window buttons),
 animations, decorative gradients and any other options not required to
 reasonably render common themes. It relies on clients for panels, screenshots,
 wallpapers and so on to create a full desktop environment.

## labwc 0.9.0

=== debian/changelog ===
labwc (0.9.0-1) experimental; urgency=medium

  * New upstream release
  * Bump build dependency wlroots to version 0.19.0

 -- Birger Schacht <birger@debian.org>  Wed, 16 Jul 2025 12:57:15 +0200

=== debian/control ===
Source: labwc
Section: x11
Priority: optional
Maintainer: Lab Wayland Compositor Team <team+labwc@tracker.debian.org>
Uploaders:
 Birger Schacht <birger@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gettext,
 libcairo2-dev,
 libdrm-dev,
 libglib2.0-dev,
 libinput-dev,
 liblzma-dev,
 libpango1.0-dev,
 libpng-dev,
 librsvg2-dev,
 libsfdo-dev,
 libwlroots-0.19-dev (>= 0.19.0),
 libxkbcommon-dev,
 libxml2-dev,
 meson (>= 0.59),
 pkgconf,
 scdoc,
 wayland-protocols,
Standards-Version: 4.6.2
Homepage: https://labwc.github.io/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
Vcs-Browser: https://salsa.debian.org/labwc-team/labwc

Package: labwc
Architecture: any
Depends:
 xwayland,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 foot | alacritty | x-terminal-emulator,
 kanshi,
 mako-notifier,
 swaybg,
 swayidle,
 waybar,
Description: window-stacking Wayland compositor
 Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
 openbox.
 .
 It is light-weight and independent with a focus on simply stacking windows
 well and rendering some window decorations. It takes a no-bling/frills
 approach and says no to features such as icons (except window buttons),
 animations, decorative gradients and any other options not required to
 reasonably render common themes. It relies on clients for panels, screenshots,
 wallpapers and so on to create a full desktop environment.

## labwc 0.9.1

=== debian/changelog ===
labwc (0.9.1-3) unstable; urgency=medium

  * Add xwayland to build-depends (Closes: #1112200)

 -- Birger Schacht <birger@debian.org>  Wed, 27 Aug 2025 14:26:09 +0200

labwc (0.9.1-2) unstable; urgency=medium

  * Reupload to unstable

 -- Birger Schacht <birger@debian.org>  Tue, 26 Aug 2025 16:37:18 +0200

labwc (0.9.1-1) experimental; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 24 Aug 2025 12:28:56 +0200

## labwc 0.9.2

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 option('nls', type: 'feature', value: 'auto', description: 'Enable native language support')
 option('static_analyzer', type: 'feature', value: 'disabled', description: 'Run gcc static analyzer')
 option('test', type: 'feature', value: 'disabled', description: 'Run tests')
+option('sections', type: 'feature', value: 'disabled', description: 'Show unused functions')

=== scripts/helper/Makefile ===
CFLAGS += -g -Wall -O0 -std=c11
LDFLAGS += -fsanitize=address

PROGS = find-idents

all: $(PROGS)

find-idents: find-idents.o
	$(CC) -o $@ $^

clean :
	$(RM) $(PROGS) *.o

=== debian/changelog ===
labwc (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to version 5 format

 -- Birger Schacht <birger@debian.org>  Sun, 12 Oct 2025 20:20:02 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  pkgconf,
  scdoc,
  wayland-protocols,
+ xwayland,
 Standards-Version: 4.6.2
 Homepage: https://labwc.github.io/
 Rules-Requires-Root: no

=== debian/watch ===
Version: 5

Source: https://github.com/labwc/labwc
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git

## labwc 0.9.3

=== debian/changelog ===
labwc (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + drop unused Rules-Requires-Root
    + bump Standards-version to 4.7.2 (no changes required)
  * debian/changelog:
    + bump copyright year

 -- Birger Schacht <birger@debian.org>  Fri, 19 Dec 2025 18:13:12 +0100

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,8 @@
  scdoc,
  wayland-protocols,
  xwayland,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://labwc.github.io/
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
 Vcs-Browser: https://salsa.debian.org/labwc-team/labwc

## labwc 0.9.4

=== debian/changelog ===
labwc (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   + Bump Standards-Version to 4.7.3 (no changes required)
   + Drop unused Priority field
   + Add version constraint to wayland-protocols dependency
  * debian/changelog
   + Bump copyright years
   + Drop patterns for removed files

 -- Birger Schacht <birger@debian.org>  Tue, 03 Mar 2026 18:07:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: labwc
 Section: x11
-Priority: optional
 Maintainer: Lab Wayland Compositor Team <team+labwc@tracker.debian.org>
 Uploaders:
  Birger Schacht <birger@debian.org>,
@@ -23,9 +22,9 @@
  meson (>= 0.59),
  pkgconf,
  scdoc,
- wayland-protocols,
+ wayland-protocols (>= 1.22.90),
  xwayland,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://labwc.github.io/
 Vcs-Git: https://salsa.debian.org/labwc-team/labwc.git
 Vcs-Browser: https://salsa.debian.org/labwc-team/labwc
